Nimbu Developer Docs
ReferenceConsent

Create a consent purpose

POST
/settings/consent/purposes

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/settings/consent/purposes" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "name": "string",
  "description": {}
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}